export const tableOption = {
  border: true,
  index: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  menuWidth: 350,
  align: 'center',
  refreshBtn: true,
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
    // {
    //   label: '门店',
    //   prop: 'orgCode',
    //   search: true,
    //   hide: true,
    //   type: 'select',
    //   dicData: [] // 这里的数据会在组件中动态填充
    // },
    {
      label: '门店名称',
      prop: 'poiName',
      // search: true
    },{
    label: '商品名字',
    prop: 'name',
    search: true
  }, {
    label: '售卖状态',
    prop: 'oriPrice'
  },  
  // {
  //   label: '商品主图',
  //   prop: 'images',
  //   type: 'upload',
  //   width: 150,
  //   listType: 'picture-img'
  // }, 
  {
    label: '商品主图',
    prop: 'images',
    type: 'slot',
    slot: true,
  }, 
  {
    label: '商品视频',
    prop: 'coverVideoUrl',
    width: 150,
    formatter: (row, value, label) => {
      if(value){
        // 可以在此处自定义图片显示的格式，比如设置图片的样式
        return ` <video width="150" height="100" controls>
          <source src="${value}" type="video/mp4">
          Your browser does not support the video tag.
        </video>`;
      }else{
        return ''
      }
    }
  }, 
  {
    label: '商品分类',
    prop: 'categoryInfo',
    formatter: (row, value, label) => {
      if(value&&Array.isArray(value)&&value.length>0){
        return value.map(item => item.name).join('、');
      }else{
        return ''
      }
    }
  }, 
  {
    label: '最近修改时间',
    prop: 'createTime',
    formatter: (row, value, label) => {
      // 使用 JavaScript 的 Date 对象进行时间格式化
      let date = new Date(value);
      let year = date.getFullYear();
      let month = (date.getMonth() + 1).toString().padStart(2, '0');
      let day = date.getDate().toString().padStart(2, '0');
      let hours = date.getHours().toString().padStart(2, '0');
      let minutes = date.getMinutes().toString().padStart(2, '0');
      let seconds = date.getSeconds().toString().padStart(2, '0');
      return `${year}-${month}-${day} ${hours}:${minutes}:${seconds}`;
    }
  }, 
  
  // {
  //   label: '产品图片',
  //   prop: 'pic',
  //   type: 'upload',
  //   width: 150,
  //   listType: 'picture-img'

  // }, 
  // {
  //   width: 150,
  //   label: '状态',
  //   prop: 'status',
  //   search: true,
  //   slot: true,
  //   type: 'select',
  //   dicData: [
  //     {
  //       label: '下架',
  //       value: 0
  //     }, {
  //       label: '上架',
  //       value: 1
  //     }, {
  //       label: '违规下架',
  //       value: 2
  //     }, {
  //       label: '待审核',
  //       value: 3
  //     }
  //   ]
  // }
]
}
